{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <script src='{% static "js/userStuff.js" %}'></script>
    <script src='{% static "js/filterStuff.js" %}'></script>   
    <div class="w3-row">
        <div class="">
            {% if errorText %}
                <div class="w3-panel w3-red w3-display-container w3-margin w3-padding">
                    <span onclick="this.parentElement.style.display='none'" class="w3-button w3-large w3-display-topright">&times;</span>
                    <h3>Warning!</h3>
                    <p>{{ errorText }}</p>
                </div>            
            {% endif %}
        
            <div class="w3-bar w3-light-grey">
                <a class="w3-button w3-blue"  style='text-decoration: none;' nohref=""><i class="fas fa-globe fa-lg"></i> {% trans 'Users' %} </a>
                <a class="w3-button w3-blue"  style='text-decoration: none;' href="/manage"><i class="fas fa-reply-all fa-lg "></i> {% trans 'Back to Manage' %}</i></a>
            </div> 
            
            <div class='tab' id='users'>
                    <div class="w3-responsive">
                        <table class="w3-table-all" id='users'>
                        <tr class="w3-blue">
                            <th>{% trans 'Enabled' %}</th>
                            <th>{% trans 'Firstname' %}</th>
                            <th>
                                {% trans 'Lastname' %} 
                                    <p class="w3-dropdown-hover w3-blue">
                                        <i class="fas fa-search fa-lg w3-blue"></i>
                                        <span class="w3-dropdown-content">
                                            <input type="text" placeholder="" id="filterThisName" onkeyup="filterInTable('filterThisName','users','2')"/>
                                        </span>
                                    </p> 
                            </th>
                            <th>
                                {% trans 'Login' %}
                                    <p class="w3-dropdown-hover w3-blue">
                                        <i class="fas fa-search fa-lg w3-blue"></i>
                                        <span class="w3-dropdown-content">
                                            <input type="text" placeholder="" id="filterThisLogin" onkeyup="filterInTable('filterThisLogin','users','3')"/>
                                        </span>
                                    </p> 
                            </th>
                            
                            <th>
                                {% trans 'Role' %}
                                    <p class="w3-dropdown-hover w3-blue">
                                        <i class="fas fa-search fa-lg w3-blue"></i>
                                        <span class="w3-dropdown-content">
                                            <input type="text" placeholder="" id="filterThisRole" onkeyup="filterInTable('filterThisRole','users','4')"/>
                                        </span>
                                    </p>                                 
                            </th>
                            <th></th>
                            <th></th>
                            <th></th>
                        </tr>
                                               
                        {% for user in Users %}
                            <tr>
                                <td>
                                    {% if user.enable == 'True' %}
                                        <i class="far fa-check-square fa-lg"></i>
                                    {% else %}
                                        <i class="far fa-square fa-lg"></i>
                                    {% endif %}
                                </td>
                                
                                <td> {{ user.firstname|default_if_none:"" }} </td>
                                <td> {{ user.lastname }} </td>
                                <td> {{ user.login }} </td>
                                <td> {% trans user.role %}</td>
                                
                                <td>  <a href="javascript:editUser('{{ user.uuid }}', '{{ domain }}' , '{{ token }}')" title="{% trans 'Edit' %}"> <i class="far fa-edit fa-lg"></i></a></td>
                                <td>  <a href="javascript:resetPasswd('{{ user.uuid }}', '{{ user.login }}')"  title="{% trans 'Reset password' %}"> <i class="fas fa-key fa-lg"></i> </a></td>
                                <td> 
                                     <a href="/manage/users/delete/{{ domain }}/{{ user.uuid }}" title="{% trans 'Delete' %}"> <i class="fas fa-trash fa-lg" style="color: red;" ></i></a>
                                </td>
                               
                                
                            </tr>    
                        {% endfor %}
                        <tr>
                            <td colspan='8'>
                                <button class="w3-button w3-green w3-round-large" onclick="document.getElementById('addUser').style.display='block'">  <i class="fas fa-plus-circle fa-lg"></i> {% trans 'addUser' %} </button>
                            </td>
                        </tr> 
                        </table>
                    </div>
                </div>
        </div>
    </div>
    
    <!-- Add New Domain user -->
    <script type="text/javascript">
        $(function() {
            $("#subscribedguid").chosen({
                placeholder_text_multiple:  translateThis('chooseGroups'),
                width: "95%"
            }); 
        });
    </script>    
    <div id="addUser" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
        <div class="w3-center"><br>
            <span onclick='cancelAddUser()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
        </div>

        <form class="w3-container" method="POST" action="/manage/users/add">
        {% csrf_token %}
        <div class="w3-section">
            <label><b>{% trans 'Role' %}</b></label>
            <select class="w3-select w3-border w3-margin-bottom" name='role' id='role'>
                <option value='user'> {% trans 'user' %}</option>
                <option value='delegated'> {% trans 'delegated' %} </option>
                <option value='dispatcher'> {% trans 'dispatcher' %} </option> 
                <option value='domain'> {% trans 'domain' %} </option>
            </select>
        
            <label><b>{% trans 'Firstname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text"   placeholder="Firstname" name="firstname">
          
            <label><b>{% trans 'Lastname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text"   placeholder="Lastname" name="lastname" required>
          
            <label><b>{% trans 'Login' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text"   placeholder="Login" name="login" required>
            
            <label><b>{% trans 'Password' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text"   placeholder="Password" name="passwd" required>
            
            <label><b>{% trans 'Groups' %}</b></label>
            <select class="w3-select w3-border w3-margin-bottom chosen-select" multiple  placeholder='Group' id="subscribedguid"  name="subscribedguid" >
                {% for group in Groups %}
                    <option value="{{ group.uuid }}"> {{ group.displayname }}</option>                
                {% endfor %}               
            </select>    
            
            <label><b>{% trans 'Enabled' %}</b> </label>
            <input class="w3-check w3-border w3-margin-bottom" type="checkbox"  name="enable" value="True" checked>
          
          <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
        </div>
      </form>

      <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
        <button onclick='cancelAddUser()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
      </div>

    </div>
  </div> 
    
    
    
    <!-- Edit existing Domain user-->
    <script type="text/javascript">       
        $(function() {
            $("#editSubscribedguid").chosen({
                placeholder_text_multiple:  translateThis('chooseGroups'),
                width: "95%"
            }); 
        });        
    </script>    
    <div id="editUser" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
                <div class="w3-center"><br>
                    <span onclick='cancelEditUser()' class="w3-button w3-xlarge w3-round w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
                </div>

                <form class="w3-container"  method="POST"  action="/manage/users/update">
                {% csrf_token %}
                <div class="w3-section">
                    <label><b>{% trans 'Role' %}</b></label>
                    <select class="w3-select w3-border w3-margin-bottom" name='role' id='editRole'>
                        <option value='user'> {% trans 'user' %}</option>
                        <option value='delegated'> {% trans 'delegated' %} </option>
                        <option value='dispatcher'> {% trans 'dispatcher' %} </option> 
                        <option value='domain'> {% trans 'domain' %} </option>
                    </select>
                
                    <label><b>{% trans 'Firstname' %}</b></label>
                    <input class="w3-input w3-border w3-margin-bottom" type="text"   id='editFirstname'  value='' name="firstname">
                
                    <label><b>{% trans 'Lastname' %}</b></label>
                    <input class="w3-input w3-border w3-margin-bottom" type="text"   id='editLastname' value='' name="lastname" required>
                
                    <label><b>{% trans 'Login' %}</b></label>
                    <input class="w3-input w3-border w3-margin-bottom" type="text"   id='editLogin' value='' name="login" required readonly>
                    
                    <label><b>{% trans 'Groups' %}</b></label>
                    <select class="w3-select w3-border w3-margin-bottom chosen-select" multiple  placeholder='Group' id="editSubscribedguid"  name="subscribedguid" >
                        {% for group in Groups %}
                            <option value="{{ group.uuid }}"> {{ group.displayname }}</option>                
                        {% endfor %}   
                    </select>   
                    
                    <label><b>{% trans 'Enabled' %}</b> </label>
                    <input class="w3-check w3-border w3-margin-bottom" type="checkbox"  id='editEnable' name="enable" value="True" >
 
                    
                    <input class="w3-input w3-border " type="hidden"  name='uuid' id='editUuid' value=''>
                    <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
                </div>
            </form>

            <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                <button onclick='cancelEditUser()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
            </div>

        </div>
    </div>
    
    <!-- Reset domain user password -->
    <div id="resetPasswd" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:400px">
  
            <div class="w3-center"><br>
                <span onclick='cancelResetPasswd()' class="w3-button w3-xlarge w3-round w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
            </div>

            <form class="w3-container"  method="POST"  action="/manage/users/resetpwd">
            {% csrf_token %}
                <div class="w3-section">
                
                    <label><b>{% trans 'Password' %}</b></label>
                    <input class="w3-input w3-border w3-margin-bottom" type="text"   id='resetPwd' value='' name="passwd" required>

                    <input class="w3-input w3-border " type="hidden"  name='login' id='resetLogin' value=''>
                    <input class="w3-input w3-border " type="hidden"  name='uuid' id='resetUuid' value=''>
                    
                <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
                </div>
            </form>

            <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                <button onclick='cancelResetPasswd()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
            </div>

        </div>
    </div>
     
    
    
{% endblock %}
